name: ml
channels:
  - conda-forge
  - defaults
dependencies:
  - python
  - pip
  - jupyterlab
  - ipykernel
  - ipywidgets
  - numpy
  - matplotlib
  - scikit-learn
  - scipy
  # other packages
  - tqdm
  - timm
  - setuptools
  # pip dependencies
  - pip:
    - torch --index-url https://download.pytorch.org/whl/cu129
    - torchvision --index-url https://download.pytorch.org/whl/cu129
    - git+https://github.uio.no/xpt/quix.git



prefix: ~/miniconda3/envs/ml
